Bug 205339 - libc-client-debuginfo contains symlinks to a buildroot
Summary: libc-client-debuginfo contains symlinks to a buildroot
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libc-client   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 204435
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-06 06:51 UTC by Radek Bíba
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2004g-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 13:19:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch for find-debuginfo.sh (533 bytes, patch)
2006-09-06 15:48 UTC, Joe Orton
no flags Details | Diff

Description Radek Bíba 2006-09-06 06:51:46 UTC
rpm -qvpl libc-client-debuginfo-2004g-2.2.1.i386.rpm says among others:
lrwxrwxrwx    1 root    root               56 Jul 13 10:45
/usr/src/debug/imap-2004g/c-client/auth_gss.c -> /builddir/build/BUILD/imap-200
4g/src/c-client/auth_gss.c
lrwxrwxrwx    1 root    root               56 Jul 13 10:45
/usr/src/debug/imap-2004g/c-client/auth_log.c -> /builddir/build/BUILD/imap-200
4g/src/c-client/auth_log.c
...

This means that there are symlinks to a buildroot in this package. If there's
nothing to be done on libc-client side in order to resolve it, please take this
as a meta bug that depends on two bugs already reported against two buildsystems
(e.g. in FC5, the symlinks point to /usr/src/build)

Comment 1 Radek Bíba 2006-09-06 07:02:08 UTC
Well, a custom-built package has an analogical issue:
lrwxrwxrwx    1 root    root               56 Sep  6 08:55
/usr/src/debug/imap-2004g/c-client/auth_gss.c -> /usr/src/redhat/BUILD/imap-200
4g/src/c-client/auth_gss.c
lrwxrwxrwx    1 root    root               56 Sep  6 08:55
/usr/src/debug/imap-2004g/c-client/auth_log.c -> /usr/src/redhat/BUILD/imap-200
4g/src/c-client/auth_log.c
...

Comment 2 Joe Orton 2006-09-06 15:46:49 UTC
I'd say this is a find-debuginfo.sh bug, it should dereference those symlinks
when populating /usr/src/redhat.

Comment 3 Joe Orton 2006-09-06 15:48:01 UTC
Created attachment 135661 [details]
proposed patch for find-debuginfo.sh

Comment 4 Joe Orton 2006-09-06 15:49:03 UTC
(I meant /usr/src/debug of course in comment 2).

Above patch does that.

Comment 5 Radek Bíba 2006-09-06 18:20:52 UTC
Thanks for narrowing the problem down, Joe. However, I'd rather leave this report
filed against libc-client. The original bug, which was filed against brew, should
be reassigned to rpm (I'll do it), it's a tracker bug for this debuginfo issue
already, and this one should be closed once rpm is fixed AND libc-client is
rebuilt.

Comment 6 Joe Orton 2006-11-15 13:19:19 UTC
Rebuilt to pick up find-debuginfo.sh fix.


Note You need to log in before you can comment on or make changes to this bug.